#
# spec file for package rubygem-newrelic_rpm
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-newrelic_rpm
Version:        6.2.0.354
Release:        1.1
%define mod_name newrelic_rpm
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/newrelic/rpm
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        New Relic Ruby Agent
License:        New Relic
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
New Relic is a performance management system, developed by New Relic,
Inc (http://www.newrelic.com).  New Relic provides you with deep
information about the performance of your web application as it runs
in production. The New Relic Ruby Agent is dual-purposed as a either a
Gem or plugin, hosted on
https://github.com/newrelic/rpm/.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 coolo@suse.com
- updated to version 6.2.0.354
  see installed CHANGELOG.md
  [#]# v6.2.0
  * Bugfix for superfluous `Empty JSON response` error messages
    Version 6.1.0 of the agent frequently logged error messages about an empty
    JSON response, when no error had occurred.  These logs no longer appear.
  * Bugfix for `Unable to calculate elapsed transaction time` warning messages
    Ruby Agent versions 5.4 through 6.1, when running in jruby without
    ObjectSpace enabled, would occasionally log a warning indicating that the
    agent was unable to calculate the elapsed transaction time.  When this log
    statement appeared, the affected transactions would not be included in the
    data displayed on the capacity analysis page.  These transactions are now
    correctly recorded.
* Sat Mar  2 2019 coolo@suse.com
- updated to version 6.1.0.352
  see installed CHANGELOG.md
  [#]# v6.1.0
  * Performance monitoring on Kubernetes
    This release adds Transaction event attributes that provide
    context between your Kubernetes cluster and services. For details
    on the benefits, see this [blog
    post](https://blog.newrelic.com/engineering/monitoring-application-performance-in-kubernetes/).
  * Bugfix for Bunny instrumentation when popping empty queues
    When a customer calls `Bunny::Queue#pop` on an empty queue, Bunny
    returns a `nil` value.  Previous Ruby Agent versions raised a
    `NoMethodError` when trying to process this result.  Now, the
    agent correctly skips processing for `nil` values.  Thanks to
    Matt Campbell for the contribution.
  [#]# v6.0.0
  * Tracer API for flexible custom instrumentation
    With agent version 6.0, we are introducing the `Tracer` class, an
    officially supported public API for more flexible custom
    instrumentation.  By calling its `in_transaction` method, you can
    instrument an arbitrary section of Ruby code without needing to
    juggle any explicit state.  Behind the scenes, the agent will
    make sure that the measured code results in an APM segment inside
    a transaction.
    The same API contains additional methods for creating
    transactions and segments, and for interacting with the current
    transaction.  For more details, see the [custom instrumentation
    documentation](https://docs.newrelic.com/docs/agents/ruby-agent/api-guides/ruby-custom-instrumentation).
    If you were previously using any of the agent's private,
    undocumented APIs, such as `Transaction.wrap` or
    `Transaction.start/stop`, you will need to update your code to
    use the Tracer API.
    The full list of APIs that were removed or deprecated are:
  * `External.start_segment`
  * `Transaction.create_segment`
  * `Transaction.start`
  * `Transaction.stop`
  * `Transaction.start_datastore_segment`
  * `Transaction.start_segment`
  * `Transaction.wrap`
  * `TransactionState.current_transaction`
    If are you using any of these APIs, please see the [upgrade guide](https://docs.newrelic.com/docs/agents/ruby-agent/troubleshooting/update-private-api-calls-public-tracer-api) for a list of replacements.
  * Agent detects Rails 6.0
    The agent properly detects Rails 6.0 and no longer logs an error when
    started in a Rails 6.0 environment. This does not include full Rails 6.0
    support, which will be coming in a future release. Thanks to Jacob Bednarz
    for the contribution.
  [#]# v5.7.0
  * Ruby 2.6 support
    We have tested the agent with the official release of Ruby 2.6.0
    made on December 25, 2018, and it looks great! Feel free to use
    agent v5.7 to measure the performance of your Ruby 2.6
    applications.
  * Support for loading Sequel core standalone
    Earlier versions of the agent required users of the Sequel data
    mapping library to load the _entire_ library.  The agent will now
    enable Sequel instrumentation when an application loads Sequel's
    core standalone; i.e., without the `Sequel::Model` class.  Thanks
    to Vasily Kolesnikov for the contribution!
  * Grape 1.2 support
    With agent versions 5.6 and earlier, Grape 1.2 apps reported
    their transactions under the name `Proc#call` instead of the name
    of the API endpoint.  Starting with agent version 5.7, all
    existing versions of Grape will report the correct transaction
    name.  Thanks to Masato Ohba for the contribution!
* Wed Dec 19 2018 coolo@suse.com
- updated to version 5.6.0.349
  see installed CHANGELOG.md
  [#]# v5.6.0
  * Bugfix for transactions with `ActionController::Live`
    Previously, transactions containing `ActionController::Live` resulted in
    incorrect calculations of capacity analysis as well as error backtraces
    appearing in agent logs in agent versions 5.4 and later. The agent now
    correctly calculates capacity for transactions with `ActionController::Live`.
  * Add ability to exclude attributes from span events and transaction
    segments
    Agent versions 5.5 and lower could selectively exclude attributes
    from page views, error traces, transaction traces, and
    transaction events.  With agent version 5.6 and higher, you can
    also exclude attributes from span events (via the
    `span_events.include/exclude` options) and from transaction
    segments (via the `transaction_segments.include/exclude` options).
    As with other attribute destinations, these new options will
    inherit values from the top-level `attributes.include/exclude`
    settings. See the
    [documentation](https://docs.newrelic.com/docs/agents/ruby-agent/attributes/enabling-disabling-attributes-ruby)
    for more information.
  * Increasing backoff sequence on failing to connect to New Relic
    If the agent cannot reach New Relic, it will now wait for an
    increasing amount of time after each failed attempt.  We are also
    starting with a shorter delay initially, which will help customer
    apps bounce back more quickly from transient network errors.
  * Truncation of long stack traces
    Previous versions of the agent would truncate long stack traces to
    50 frames.  To give customers more flexibility, we have added the
    `error_collector.max_backtrace_frames` configuration option.
    Thanks to Patrick Tulskie for the contribution!
  * Update link in documentation
    The community forum link in `README.md` now goes to the updated
    location.  Thanks to Sam Killgallon for the contribution!
  * Active Storage instrumentation
    The agent now provides instrumentation for Active Storage, introduced in
    Rails 5.2. Customers will see Active Storage operations represented as
    segments within transaction traces.
* Thu Nov 22 2018 coolo@suse.com
- updated to version 5.5.0.348
  see installed CHANGELOG.md
  [#]# v5.5.0
  * Bugfix for `perform` instrumentation with curb gem
    Use of curb's `perform` method now no longer results in nil headers
    getting returned.
  * Bugfix for parsing Docker container IDs
    The agent now parses Docker container IDs correctly regardless of the
    cgroup parent.
  * Use lazy load hooks for ActiveJob instrumentation
    In some instances the ActiveJob instrumentation could trigger ActiveJob
    to load before it was initialized by Rails. This could result in
    configuration changes not being properly applied. The agent now uses lazy
    load hooks which fixes this issue.
  * Documentation improvement
    The `config.dot` diagram of the agent's configuration settings no
    longer includes the deleted `developer_mode` option.  Thanks to
    Yuichiro Kaneko for the contribution!
  [#]# v5.4.0
  * Capacity analysis for multi-threaded dispatchers
    Metrics around capacity analysis did not previously account for multi-threaded
    dispatchers, and consequently could result in capacities of over 100%% being
    recorded. This version now properly accounts for multi-threaded dispatchers.
  * `NewRelic::Agent.disable_transaction_tracing` deprecated
    `NewRelic::Agent.disable_transaction_tracing` has been deprecated. Users
    are encouraged to use `NewRelic::Agent.disable_all_tracing` or
    `NewRelic::Agent.ignore_transaction` instead.
  * Bugfix for SQL over-obfuscation
    A bug, introduced in v5.3.0, where SQL could be over-obfuscated for some
    database adapters has been fixed.
  * Bugfix for span event data in Resque processes
    A bug where span events would not be sent from Resque processes due to a
    missing endpoint has been fixed.
* Wed Sep  5 2018 coolo@suse.com
- updated to version 5.3.0.346
  see installed CHANGELOG.md
* Mon Jun  4 2018 factory-auto@kulow.org
- updated to version 5.2.0.345
  see installed CHANGELOG.md
* Mon Jun  4 2018 factory-auto@kulow.org
- updated to version 5.2.0.345
  see installed CHANGELOG.md
    [#]# v5.2.0 ##
  * Use priority sampling for errors and custom events
    Priority sampling replaces the older reservoir event sampling method.
    With this change, the agent will maintain randomness across a given
    time period while improving coordination among transactions, errors,
    and custom events.
  * Bugfix for wrapping datastore operations
    The agent will now complete the process of wrapping datastore
    operations even if an error occurs during execution of a callback.
* Mon Apr 30 2018 factory-auto@kulow.org
- updated to version 5.1.0.344
  see installed CHANGELOG.md
    [#]# v5.1.0 ##
  * Rails 5.2 support
    The Ruby agent has been validated against the latest release of
    Ruby on Rails!
  * Support for newer libraries and frameworks
    We have updated the multiverse suite to test the agent against
    current versions of several frameworks.
  * Add `custom_attributes.enabled` configuration option
    This option is enabled by default. When it's disabled, custom
    attributes will not be transmitted on transaction events or error
    events.
  * Fix Grape load order dependency
    The agent will now choose the correct name for Grape transactions
    even if the customer's app loads the agent before Grape. Thanks
    to Daniel Doubrovkine for the contribution!
  * Add `webpacker:compile` to blacklisted tasks
    `webpacker:compile` is commonly used for compiling assets. It has
    been added to `AUTOSTART_BLACKLISTED_RAKE_TASKS` in the default
    configuration. Thanks to Claudio B. for the contribution!
  * Make browser instrumentation W3C-compliant
    `type="text/javascript"` is optional for the `<script>` tag under
    W3C. The `type` attribute has now been removed from browser
    instrumentation. Thanks to Spharian for the contribution!
  * Deferred `add_method_tracer` calls
    If a third-party library calls `add_method_tracer` before the
    agent has finished starting, we now queue these calls and run them
    when it's safe to do so (rather than skipping them and logging a
    warning).
  * Bugfix for Resque `around` / `before` hooks
    In rare cases, the agent was not instrumenting Resque `around` and
    `before` hooks. This version fixes the error.
  * Truncation of long stack traces
    Occasionally, long stack traces would cause complications sending
    data to New Relic. This version truncates long traces to 50 frames
    (split evenly between the top and bottom of the trace).
* Tue Mar 27 2018 factory-auto@kulow.org
- updated to version 5.0.0.342
  see installed CHANGELOG.md
    [#]# v5.0.0 ##
  * SSL connections to New Relic are now mandatory
    Prior to this version, using an SSL connection to New Relic was
    the default behavior, but could be overridden. SSL connections are
    now enforced (not overrideable).
  * Additional security checking before trying to explain
    multi-statement SQL queries
    Customer applications might submit SQL queries containing multiple
    statements (e.g., SELECT * FROM table; SELECT * FROM table).  For
    security reasons, we should not generate explain plans in this
    situation.
    Although the agent correctly skipped explain plans for these
    queries during testing, we have added extra checks for this
    scenario.
  * Bugfix for RabbitMQ exchange names that are symbols
    The agent no longer raises a TypeError when a RabbitMQ exchange
    name is a Ruby symbol instead of a string.
  * Bugfix for audit logging to stdout
    Previous agents configured to log to stdout would correctly send
    regular agent logs to stdout, but would incorrectly send audit
    logs to a text file named "stdout".  This release corrects the
    error.
  * Bugfix for Capistrano deployment notifications on v3.7 and beyond
    Starting with version 3.7, Capistrano uses a different technique
    to determine a project's version control system.  The agent now
    works correctly with this new behavior. Thanks to Jimmy Zhang for
    the contribution.
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 4.8.0.341
  see installed CHANGELOG.md
    [#]# v4.8.0 ##
  * Initialize New Relic Agent before config initializers
    When running in a Rails environment, the agent registers an initializer that
    starts the agent. This initializer is now defined to run before config/initializers.
    Previously, the ordering was not specified for the initializer. This change
    guarantees the agent will started by the time your initializers run, so you can
    safely reference the Agent in your custom initializers. Thanks to Tony Ta for
    the contribution.
  * Ruby 2.5 Support
    The Ruby Agent has been verified to run under Ruby 2.5.
  * `request.uri` Collected as an Agent Attribute
    Users can now control the collection of `request.uri` on errors and transaction
    traces. Previously it was always collected without the ability to turn it off.
    It is now an agent attribute that can be controlled via the attributes config.
    For more information on agent attributes [see here](https://docs.newrelic.com/docs/agents/manage-apm-agents/agent-data/agent-attributes).
* Tue Jan  9 2018 coolo@suse.com
- updated to version 4.7.1.340
  see installed CHANGELOG.md
    [#]# 4.7.1 ##
  * Bugfix for Manual Browser Instrumentation
    There was a previous bug that required setting both `rum.enabled: false` and
    `browser.auto_instrument: false` to completely disable browser monitoring. An
    attempt to fix this in 4.7.0 resulted in breaking manual browser
    instrumentation. Those changes have been reverted.
    [#]# v4.7.0 ##
  * Expected Error API
    The agent now sends up `error.expected` as an intrinsic attribute on error
    events and error traces. When you pass `expected: true` to the `notice_error`
    method, both Insights and APM will indicate that the error is expected.
  * Typhoeus Hydra Instrumentation
    The agent now has request level visibility for HTTP requests made using
    Typhoeus Hydra.
  * Total Time Metrics are Recorded
    The agent now records Total Time metrics. In an application where segments
    execute concurrently, the total time can exceed the wall-clock time for a
    transaction. Users of the new Typhoeus Hydra instrumentation will notice
    this as changes on the overview page. Immediately after upgrading there
    will be an alert in the APM dashboard that states: "There are both old and
    new time metrics for this time window". This indicates that during that time
    window, some transactions report the total time metrics, while others do not.
    The message will go away after waiting for enough time to elapse and / or
    updating the time window.
  * Add `:message` category to `set_transaction_name` public API method
    The agent now permits the `:message` category to be passed into the public
    API method `set_transaction_name`, which will enable the transaction to be
    displayed as a messaging transaction.
  * Create `prepend_active_record_instrumentation` config option
    Users may now set the `prepend_active_record_instrumentation` option in
    their agent config to install Active Record 3 or 4 instrumentation using
    `Module.prepend` rather than `alias_method`.
  * Use Lazy load hooks for `ActionController::Base` and `ActionController::API`
    The agent now uses lazy load hooks to hook on `ActionController::Base` and
    `ActionController::API`. Thanks Edouard Chin for the contribution!
  * Use Lazy load hooks for `ActiveRecord::Base` and `ActiveRecord::Relation`
    The agent uses lazy load hooks when recording supportability metrics
    for `ActiveRecord::Base` and `ActiveRecord::Relation`. Thanks Joseph Haig
    for the contribution!
  * Check that `Rails::VERSION` is defined instead of just `Rails`
    The agent now checks that `Rails::VERSION` is defined since there are cases
    where `Rails` is defined but `Rails::VERSION` is not. Thanks to Alex Riedler
    and nilsding for the contribution!
  * Support fast RPC/direct reply-to in RabbitMQ
    The agent can now handle the pseudo-queue 'amq.rabbitmq.reply-to' in its
    Bunny instrumentation. Previously, using fast RPC led to a `NoMethodError`
    because the reply-to queue was expected to be a `Queue` object instead of
    a string.
* Sun Dec  3 2017 coolo@suse.com
- updated to version 4.6.0.338
  see installed CHANGELOG.md
  [#]# v4.6.0 ##
  * Public API for External Requests
    The agent now has public API for instrumenting external requests and linking
    up transactions via cross application tracing. See the [API Guide](https://docs.newrelic.com/docs/agents/ruby-agent/customization/ruby-agent-api-guide#externals)
    for more details this new functionality.
* Wed Oct 11 2017 coolo@suse.com
- updated to version 4.5.0.337
  see installed CHANGELOG.md
  [#]# v4.5.0 ##
  * Send synthetics headers even when CAT disabled
    The agent now sends synthetics headers whenever they are received from an
    external request, even if cross-application tracing is disabled.
  * Bugfix for DelayedJob Daemonization
    Customers using the delayed_job script that ships with the gem may encounter
    an IOError with a message indicating the stream was closed. This was due to
    the agent attempting to write a byte into a Pipe that was closed during the
    deamonization of the delayed_job script. This issue has been fixed.
  * Collect supportability metrics for public API
    The agent now collects Supportability/API/{method} metrics to track usage of
    all methods in the agent's public API.
  * Collect supportability metrics on `Module#prepend`
    The agent now collects Supportability/PrependedModules/{Module} metrics
    for ActiveRecord 4 and 5, ActionController 4 and 5, ActionView 4 and 5,
    ActiveJob 5, and ActionCable 5. These help track the adoption of the
    `Module#prepend` method so we can maintain compatibility with newer versions
    of Ruby and Rails.
  * Collect explain plans when using PostGIS ActiveRecord adapter
    The agent will now collect slow SQL explain plans, if configured to, on
    connections using the PostGIS adapter. Thanks Ari Pollak for the contribution!
  * Lazily intialize New Relic Config
    The agent will lazily initialize the New Relic config. This allows the agent
    to pickup configuration from environment variables set by dotenv and similar
    tools.
* Mon Sep 11 2017 coolo@suse.com
- updated to version 4.4.0.336
  see installed CHANGELOG.md
  [#]# v4.4.0 ##
  * Include test helper for 3rd party use
    In 4.2.0, all test files were excluded from being packaged in the gem. An
    agent class method `NewRelic::Agent.require_test_helper` was used by 3rd
    party gem authors to test extensions to the agent. The required file is now
    included in the gem.
  * Collect cloud metadata from Azure, GCP, PCF, and AWS cloud platform
    The agent now collects additional metadata when running in AWS, GCP, Azure, and
    PCF. This information is used to provide an enhanced experience when the agent
    is deployed on those platforms.
  * Install `at_exit` hook when running JRuby
    The agent now installs an `at_exit` hook when running JRuby, which wasn't
    done before because of constraints related to older JRuby versions that
    are no longer supported.
  * User/Utilization and System/Utilization metrics not recorded after Resque forks
    The agent no longer records invalid User/Utilization and System/Utilization
    metrics, which can lead to negative values, in forks of Resque processes.
  * Add `identifier` field to agent connect settings
    The agent now includes a unique identifier in its connect settings, ensuring
    that when multiple agents connect to multiple different apps, data are reported
    for each of the apps.
  * Clear transaction state after forking now opt-in
    The agent waits to connect until the first web request when it detects it's
    running in a forking dispatcher. When clearing the transaction state in this
    situation we lose the first frame of the transaction and the subsequent
    trace becomes corrupted. We've made this feature opt-in and is turned off by
    default. This behavior only affects the first transaction after a dispatcher
    forks.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 4.3.0.335
  see installed CHANGELOG.md
  [#]# v4.3.0 ##
  * Instrumentation for the Bunny AMQP Client
    The Bunny AMQP Client is now automatically instrumented. The agent will
    report data for messages sent and received by an application. Data on messages
    is available in both APM and Insights. Applications connected through a
    RabbitMQ exchange will now also be visible on Service Maps as part of Cross
    Application Tracing. See the [message queues documentation page](https://docs.newrelic.com/docs/agents/ruby-agent/features/message-queues)
    for more details.
  * Safely normalize external hostnames
    The agent has been updated to check for nil host values before downcasing the
    hostname. Thanks Rafael Valério for the contribution!
  * PageView events will not be generated for ignored transactions
    The agent now checks if transaction is ignored before injecting the New Relic
    Browser Agent. This will prevent PageView events from being generated for
    ignored transactions.
  * Datastores required explicitly in agent
    The agent has been modified to explicity `require` the Datastores module
    whereas previously there were situations where the module could be
    implicitly defined. Thanks Kevin Griffin for the contribution!
  * Clear transaction state after forking
    Previously, if a transaction was started and the process forks, the transaction
    state survived the fork and `#after_fork` call in thread local storage. Now,
    this state is cleared by `#after_fork`.
  * Postgis adapter reports as Postgres for datastores
    The agent now maps the Postgis adapter to Postgres for datastore metrics.
    Thanks Vojtěch Vondra for the contribution!
  * Deprecate `:trace_only` option
    The `NewRelic::Agent.notice_error` API has been updated to deprecate the
    `:trace_only` option in favor of `:expected`.
* Tue May 30 2017 coolo@suse.com
- updated to version 4.2.0.334
  see installed CHANGELOG.md
  [#]# v4.2.0 ##
  * Sinatra 2.0 and Padrino 0.14.x Support
    The agent has been verified against the latest versions of Sinatra and Padrino.
  * Rails 5.1 Support
    The Ruby agent has been validated against the latest release of Ruby on Rails!
  * APP_ENV considered when determining environment
    The agent will now consider the APP_ENV environment when starting up.
  * Test files excluded from gem
    The gemspec has been updated to exclude test files from being packaged into the
    gem. Thanks dimko for the contribution!
* Thu Apr 13 2017 coolo@suse.com
- updated to version 4.1.0.333
  see installed CHANGELOG.md
  [#]# v4.1.0 ##
  * Developer Mode removed
    The Ruby Agent's Developer Mode, which provided a very limited view of your
    application performance data, has been removed. For more information, check
    out our [community forum](https://discuss.newrelic.com/t/feedback-on-the-ruby-agent-s-developer-mode/46957).
  * Support NEW_RELIC_ENV for Rails apps
    Previously, users could set the agent environment with NEW_RELIC_ENV only
    for non-Rails apps. For Rails app, the agent environment would use whatever
    the Rails environment was set to. Now, NEW_RELIC_ENV can also be used for
    Rails apps, so that it is possible to have an agent environment that is
    different from the Rails environment. Thanks Andrea Campolonghi for the
    contribution, as well as Steve Schwartz for also looking into this issue!
  * Normalization of external hostnames
    Hostnames from URIs used in external HTTP requests are now always downcased
    to prevent duplicate metrics when only case is different.
* Fri Mar 17 2017 coolo@suse.com
- updated to version 4.0.0.332
  see installed CHANGELOG.md
  [#]# v4.0.0 ##
  * Require Ruby 2.0.0+
    The agent no longer supports Ruby versions prior to 2.0, JRuby 1.7 and
    earlier, and all versions of Rubinius. Customers using affected Rubies
    can continue to run 3.x agent versions, but new features or bugfixes
    will not be published for 3.x agents. For more information, check out our
    [community forum](https://discuss.newrelic.com/t/support-for-ruby-jruby-1-x-is-being-deprecated-in-ruby-agent-4-0-0/44787).
  * OkJson vendored library removed
    Ruby 1.8 did not include the JSON gem by default, so the agent included a
    vendored version of [OkJson](https://github.com/kr/okjson) that it would fall
    back on using in cases where the JSON gem was not available. This has been
    removed.
  * YAJL workaround removed
    [yajl-ruby](https://github.com/brianmario/yajl-ruby) versions prior to 1.2 had
    the potential to cause a segmentation fault when working large, deeply-nested
    objects like thread profiles. If you are using yajl-ruby with the `JSON`
    monkey patches enabled by requiring `yajl/json_gem`, you should upgrade to
    at least version 1.2.
  * Deprecated APIs removed
  * `Agent.abort_transaction!`
  * `Agent.add_custom_parameters`
  * `Agent.add_request_parameters`
  * `Agent.browser_timing_footer`
  * `Agent.get_stats`
  * `Agent.get_stats_no_scope`
  * `Agent.record_transaction`
  * `Agent.reset_stats`
  * `Agent.set_user_attributes`
  * `Agent::Instrumentation::Rack`
  * `ActionController#newrelic_notice_error`
  * `ActiveRecordHelper.rollup_metrics_for` (may be incompatible with newrelic_moped)
  * `Instrumentation::MetricFrame.recording_web_transaction?`
  * `Instrumentation::MetricFrame.abort_transaction!`
  * `MethodTracer.get_stats_scoped`
  * `MethodTracer.get_stats_unscoped`
  * `MethodTracer.trace_method_execution`
  * `MethodTracer.trace_method_execution_no_scope`
  * `MethodTracer.trace_method_execution_with_scope`
  * `MetricSpec#sub`
  * `MetricStats#get_stats`
  * `MetricStats#get_stats_no_scope`
  * `NoticedError#exception_class`
  * `Rack::ErrorCollector`
  * `StatsEngine::Samplers.add_sampler`
  * `StatsEngine::Samplers.add_harvest_sampler`
    The above methods have had deprecation notices on them for some time and
    have now been removed. Assistance migrating usage of these APIs is
    available at https://docs.newrelic.com/node/2601.
    The agent no longer deletes deprecated keys passed to `add_method_tracer`. Passing
    in deprecated keys can cause an exception. Ensure that you are not passing any of
    the following keys: `:force, :scoped_metric_only, :deduct_call_time_from_parent`
    to `add_method_tracer`.
    The agent no longer deletes deprecated keys passed in as options to
    `NewRelic::Agent.notice_error`. If you are passing any of these deprecated
    keys: `:request_params, :request, :referer` to the `notice_error` API, please
    delete them otherwise they will be collected as custom attributes.
  * Error handling changes
    The agent now only checks for `original_exception` in environments with Rails
    versions prior to 5. Checking for `Exception#cause` has been removed. In addition,
    the agent now will match class name with message and backtrace when noticing
    errors that have an `original_exception`.
* Tue Feb 14 2017 coolo@suse.com
- updated to version 3.18.1.330
  see installed CHANGELOG.md
  [#]# v3.18.1 ##
  * Ensure Mongo aggregate queries are properly obfuscated
    Instrumentation for the Mongo 2.x driver had a bug where the `pipeline`
    attribute of Mongo aggregate queries was not properly obfuscated. Users
    who have sensitive data in their `aggregate` queries are strongly encouraged
    to upgrade to this version of the agent. Users who are unable to upgrade are
    encouraged to turn off query collection using by setting
    `mongo.capture_queries` to false in their newrelic.yml files.
  * Early access Redis 4.0 instrumentation
    Our Redis instrumentation has been tested against Redis 4.0.0.rc1.
* Tue Jan 24 2017 coolo@suse.com
- updated to version 3.18.0.329
  see installed CHANGELOG.md
* Wed Dec 14 2016 coolo@suse.com
- updated to version 3.17.2.327
  CHANGELOG removed upstream
* Mon Nov 14 2016 coolo@suse.com
- updated to version 3.17.1.326
  see installed CHANGELOG
  [#]# v3.17.1 ##
  * Datastore instance reporting for Redis, MongoDB, and memcached
    The agent now collects datastore instance information for Redis, MongoDB,
    and memcached. This information is displayed in transaction traces and slow
    query traces. For memcached only, multi requests will expand to individual
    server nodes, and the operation and key(s) will show in the trace details
    "Database query" section. Metrics for `get_multi` nodes will change slightly.
    Parent nodes for a `get_multi` will be recorded as generic segments. Their
    children will be recorded as datastore segments under the name
    `get_multi_request` and represent a batch request to a single Memcached
    instance.
  * Rescue errors from attempts to fetch slow query explain plans
    For slow queries through ActiveRecord 4+, the agent will attempt to fetch
    an explain plan on SELECT statements. In the event that this causes an
    error, such as being run on an adapter that doesn't implement `exec_query`,
    the agent will now rescue and log those errors.
* Sat Oct 29 2016 coolo@suse.com
- updated to version 3.17.0.325
  see installed CHANGELOG
  [#]# v3.17.0 ##
  * Datastore instance reporting for ActiveRecord
    The agent now collects database instance information for ActiveRecord operations,
    when using the MySQL and Postgres adapters.  This information (database server
    and database name) is displayed in transaction traces and slow query traces.
  [#]# v3.16.3 ##
  * Add `:trace_only` option to `notice_error` API
    Previously, calling `notice_error` would record the trace, increment the
    error count, and consider the transaction failing for Apdex purposes. This
    method now accepts a `:trace_only` boolean option which, if true, will only
    record the trace and not affect the error count or transaction.
  * HTTP.rb support
    The agent has been updated to add instrumentation support for the HTTP gem,
    including Cross Application Tracing. Thanks Tiago Sousa for the contribution!
  * Prevent redundant Delayed::Job instrumentation installation
    This change was to handle situations where multiple Delayed::Worker instances
    are being created but Delayed::Job has already been instrumented. Thanks Tony
    Brown for the contribution!
* Thu Aug 25 2016 mrueckert@suse.de
- update to 3.16.2.321
* Tue Apr 19 2016 mrueckert@suse.de
- update to 3.15.1.316
* Tue Feb  2 2016 mrueckert@suse.de
- update to 3.14.2.312
* Wed Sep 23 2015 mrueckert@suse.de
- update to 3.13.1.300
* Mon Mar 16 2015 mrueckert@suse.de
- initial package
